6.0.0-git
2019-04-21

[#11470] Inconsistent handling of commas in tags
Summary Inconsistent handling of commas in tags
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-10-08 (2386 days ago)
Due
Updated 2012-10-15 (2379 days ago)
Assigned
Resolved 2012-10-12 (2382 days ago)
Milestone
Patch No

History
2012-10-15 20:45:42 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 5ce8c40f1e1634fa4807659c7191ab55798b86c3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Oct 12 09:17:14 2012 -0400

     Use a simple split on commas for tags.

     Bug: 11470

  framework/Core/lib/Horde/Core/Tagger.php |    9 ++++++---
  1 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/5ce8c40f1e1634fa4807659c7191ab55798b86c3
2012-10-12 13:18:33 Michael Rubinsky State ⇒ Resolved
 
2012-10-12 13:18:14 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 5ce8c40f1e1634fa4807659c7191ab55798b86c3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Oct 12 09:17:14 2012 -0400

     Use a simple split on commas for tags.

     Bug: 11470

  framework/Core/lib/Horde/Core/Tagger.php |    9 ++++++---
  1 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/5ce8c40f1e1634fa4807659c7191ab55798b86c3
2012-10-09 13:57:45 Michael Rubinsky Comment #2 Reply to this comment
I'd be in favor of removing support for these complicated tag strings 
too.  Chuck original included support for this in the original content 
tagger code (in Content_Tagger::split()). Not sure I want to remove 
that code there, but rather override that method in Horde_Core_Tagger, 
so other users of the code can make the decision for themselves...
2012-10-08 10:33:01 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Inconsistent handling of commas in tags
Queue ⇒ Horde Base
Assigned to Michael Rubinsky
Milestone ⇒
Patch ⇒ No
Reply to this comment
Noticed in Kronolith but probably applies to other tag-enabled 
applications too:
In traditional view, I can create tags including commas by surrounding 
the tags with double quotes. When displaying or editing the tags, the 
quotes are missing though.
On the other hand, the tags are displayed correctly in dynamic view 
(without quotes, but complete tag including commas inside the tag 
label), but they can't be added, because a new tag is created as soon 
as you enter comma, even if you have an open double quote.

Not sure if we want to allow commas inside tags at all, but we should 
consistently allow (and support), or deny them.

Saved Queries